Syndai Docs

Dismiss a next-task offer

POST
/api/v1/external/coding/backlog/{backlog_task_id}/dismiss

Dismisses an open offer for good; it is never filed again. Send an optional reason (and, for a bug finding, a note) to record why. Returns 204, and 404 for an offer that is not yours or is no longer open.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

backlog_task_id*string
Formatuuid

Query Parameters

customer_id?|null

Request Body

application/json
  1. body
note?|null
reason?|
Value in"not_a_bug""wont_fix""duplicate""wrong_approach""too_big""other"null

Response Body

Request fulfilled, nothing follows

Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/backlog/497f6eca-6276-4993-bfeb-53cbbbba6f08/dismiss' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty